using System;
using System.IO;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.SolverFoundation.Services;
using SolverFoundation.Plugin.Mosek; 
using System.Configuration;

namespace Microsoft.SolverFoundation.Samples {
  class Program {
    static void Main(string[] args) {

      {
        SolverContext context = SolverContext.GetContext();

        // Load a model from file
        using(TextReader streamReader = 
              new StreamReader(args[0]))
          {
            context.LoadModel(FileFormat.MPS,streamReader);
          }

        // Select the Mosek interior point optimizer.
        MosekInteriorPointMethodDirective d = new MosekInteriorPointMethodDirective();

        // Mosek specific parameters may optionally be set.
        // d[mosek.dparam.optimizer_max_time] = 100.0;

        // Optionally write log information to console using two lines below
         System.Diagnostics.ConsoleTraceListener listener =
         new System.Diagnostics.ConsoleTraceListener();
         d.AddListener(listener);

        // Solve the problem 
        Solution sol = context.Solve(d);

        // Print solution 
        Report report = sol.GetReport();
      }  
    } 
  }
}
